Snoze Developers
API referenceTime tracking

Update

PATCH
/v1/workspaces/{workspaceId}/time-entries/{entryId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
entryId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/string/time-entries/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "entry": {      "id": "string",      "workspaceId": "string",      "userId": "string",      "userDisplayName": "string",      "targetKind": "database_record",      "targetId": "string",      "targetTitleSnapshot": "string",      "databaseId": "string",      "fieldId": "string",      "fieldLabelSnapshot": "string",      "source": "timer",      "mode": "stopwatch",      "status": "active",      "startedAt": "string",      "endedAt": "string",      "pausedAt": "string",      "accumulatedPausedMs": 0,      "durationMs": 0,      "targetDurationMs": 0,      "dueAt": "string",      "summary": "string",      "soundId": "none",      "completedBy": "user",      "clientMutationId": "string",      "createdByUserId": "string",      "updatedByUserId": "string",      "createdAt": "string",      "updatedAt": "string"    },    "serverTime": "string",    "authoritativeElapsedMs": 0  }}